Subject: [PWE3] One doubt in RFC 3985 (Pseudo Wire Emulation Edge-to-Edge (PWE3) Architecture)

From: Chao Fu <[email-masked]>
Date: Mon, 27 Feb 2012 09:58:54 +0800

Hi all,

In RFC 3985, the Emulated Service in Figure2 is from CE1 to CE2, but in
Figure3, the Emulated Service is ended between PE2 and CE2, not at CE2. So
which one is correct? I think in Figure 2 the Emulated Service
 should be between ACs.

            |<-------------- Emulated Service ---------------->|
            |                                                  |
            |          |<------- Pseudo Wire ------>|          |
            |          |                            |          |
            |          |    |<-- PSN Tunnel -->|    |          |
            |          V    V                  V    V          |
            V    AC    +----+                  +----+     AC   V
      +-----+    |     | PE1|==================| PE2|     |    +-----+
      |     |----------|............PW1.............|----------|     |
      | CE1 |    |     |    |                  |    |     |    | CE2 |
      |     |----------|............PW2.............|----------|     |
      +-----+  ^ |     |    |==================|    |     | ^  +-----+
            ^  |       +----+                  +----+     | |  ^
            |  |   Provider Edge 1         Provider Edge 2  |  |
            |  |                                            |  |
      Customer |                                            | Customer
      Edge 1   |                                            | Edge 2
               |                                            |
               |                                            |
         Native service                               Native service

                   Figure 2.  PWE3 Network Reference Model

                       PW
                    End Service
                        |
                        |<------- Pseudo Wire ------>|
                        |                            |
                        |    |<-- PSN Tunnel -->|    |
                        V    V                  V    V     PW
                  +-----+----+                  +----+ End Service
       +-----+    |PREP | PE1|==================| PE2|     |    +-----+
       |     |    |     |............PW1.............|----------|     |
       | CE1 |----|     |    |                  |    |     |    | CE2 |
       |     | ^  |     |............PW2.............|----------|     |
       +-----+ |  |     |    |==================|    |     | ^  +-----+
               |  +-----+----+                  +----+     | |
               |        ^                                  | |
               |        |                                  | |
               |        |<------- Emulated Service ------->| |
               |        |                                    |
               | Virtual physical                            |
               |  termination                                |
               |        ^                                    |
          CE1 native    |                                CE2 native
           service      |                                service
                        |
                   CE2 native
                    service

       Figure 3.  Pre-processing within the PWE3 Network Reference Model

Regards

Chao Fu

---

From: binny jeshan <[email-masked]>
Date: Mon, 27 Feb 2012 10:17:11 +0530

Hi Chao,

As per my understanding, Figure 3 meant it correct. From PW3 service
perspective, service starts from the TPE only.

Regards,
Binny.

On 27 February 2012 07:28, Chao Fu <[email-masked]> wrote:

> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3
>
>

---

From: Mahesh Jethanandani <[email-masked]>
Date: Sun, 26 Feb 2012 21:01:01 -0800

Chao,

The PW as indicated in the diagram is configured on the PE router. The Emulated Service can be seen to be configured between the AC, or between the outgoing interface of the CEs or the incoming interface on the PEs - take your pick.

If your question is where does the encapsulation of the native packet happens, it happens in the PE router.

On Feb 26, 2012, at 5:58 PM, Chao Fu wrote:

> Hi all,
> 
> In RFC 3985, the Emulated Service in Figure2 is from CE1 to CE2, but in Figure3, the Emulated Service is ended between PE2 and CE2, not at CE2. So which one is correct? I think in Figure 2 the Emulated Service
>  should be between ACs.
>  
>

---

From: Alexander Vainshtein <[email-masked]>
Date: Mon, 27 Feb 2012 07:43:18 +0200

Hi,
Please note that Figure 3 in RFC 3985 appears in Section 4.2 "PWE3 Pre-processing"

It illustrates the case when the native interface between CE1 and PE1 undergoes some kind of processing within PE2 prior to some packets being encapsulated into the PW between PE1 and PE2.

Two kinds of Pre-processing further discussed in this section are Forwarders and Native Service Processors (NSPs) discussed in Section 4.2.1 and 4.2.2 respectively.

The Tagged mode Ethernet PW in RFC 4448 represents a simple example of this operation kind of operation. If the native Ethernet AC between CE1 and PE1 uses untagged Ethernet, the NSP in PE1 would add an appropriate VLAN tag to each Ethernet frame prior to encapsulating it in a Tagged mode Ethernet PW; in the reverse direction, VLAN tags received in the PW packets from CE2 would be stripped prior to sending them to CE1.

I would also like to add that multi-segment PWs have not yet been invented at the time when RFC 3985 has been written, so the distinctions between T-PE and S-PE are not related to this thread.

Hopefully these notes would be useful.

Regards,
     Sasha

________________________________
From: [email-masked] [[email-masked]] On Behalf Of Chao Fu [[email-masked]]
Sent: Monday, February 27, 2012 3:58 AM
To: [email-masked]
Subject: [PWE3] One doubt in RFC 3985 (Pseudo Wire Emulation Edge-to-Edge (PWE3) Architecture)

Hi all,

                       PW
                    End Service
                        |

Regards

Chao Fu

This e-mail message is intended for the recipient only and contains information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof.